View Issue Details

IDProjectCategoryView StatusLast Update
0032740Open CASCADEOCCT:Codingpublic2022-04-04 21:22
Reportersmoskvin Assigned Tokgv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformmacOS 
Product Version7.7.0 
Target Version7.7.0 
Summary0032740: Coding Rules, OpenGl_Context.cxx - new warning on macOS after integration fix for #32732
DescriptionReproduced on Macosx platform only

Type : Clang (LLVM based)
Category : -Wdeprecated-declarations
File Name : /Users/mnt/builds/CR0-WEEK-50_CR0-WEEK-50/OCCT_SRC/src/OpenGl/OpenGl_Context.cxx
Line : 1704
Message : CGLGetParameter is deprecated: first deprecated in macOS 10.14 - OpenGL API deprecated. (Define GL_SILENCE_DEPRECATION to silence these warnings)

http://jenkins-test-11.nnov.opencascade.com/job/warnings_compare/Compare_20Warnings_20Report/
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032732 verifiedkgv Visualization, TKOpenGl - do not include system headers within OpenGl_GlFunctions.hxx 

Activities

git

2021-12-19 12:29

administrator   ~0106100

Branch CR32740 has been created by kgv.

SHA-1: 1bc34debc1bc4d931cde5254aff3869b317e3cd9


Detailed log of new commits:

Author: kgv
Date: Sun Dec 19 12:29:47 2021 +0300

    0032740: Coding Rules, OpenGl_Context.cxx - new warning on macOS after integration fix for 0032732

kgv

2021-12-19 12:30

developer   ~0106101

Please try the fix in branch CR32740 on extended Jenkins.

smoskvin

2021-12-25 12:49

administrator   ~0106188

Combination -
OCCT branch : IR-2021-12-24
master SHA - bcecb5832b2749a588c0877099e4909f2523f499
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-24 SHA - 684d33a93d81a396019446b148f5c89157667fbb
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18175.950000000386 / 18206.72000000041 [-0.17%]
Products
Total CPU difference: 11591.210000000114 / 11647.080000000102 [-0.48%]
Windows-64-VC14:
OCCT
Total CPU difference: 19974.5625 / 20013.0 [-0.19%]
Products
Total CPU difference: 13088.09375 / 13094.75 [-0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-04-04 21:22

administrator   ~0107605

Branch CR32740 has been deleted by kgv.

SHA-1: 1bc34debc1bc4d931cde5254aff3869b317e3cd9

Related Changesets

occt: master 1bc34deb

2021-12-19 12:29:47

kgv

Details Diff
0032740: Coding Rules, OpenGl_Context.cxx - new warning on macOS after integration fix for 0032732 Affected Issues
0032740
mod - src/OpenGl/OpenGl_Context.cxx Diff File

Issue History

Date Modified Username Field Change
2021-12-18 15:44 smoskvin New Issue
2021-12-18 15:44 smoskvin Assigned To => kgv
2021-12-19 02:12 kgv Relationship added child of 0032732
2021-12-19 12:27 kgv Platform => macOS
2021-12-19 12:27 kgv Product Version => 7.7.0
2021-12-19 12:27 kgv Summary Coding Rules - new warning after integration fix for 0032732 => Coding Rules, OpenGl_Context.cxx - new warning on macOS after integration fix for 0032732
2021-12-19 12:27 kgv Steps to Reproduce Updated
2021-12-19 12:27 kgv Test case number => N/A
2021-12-19 12:29 git Note Added: 0106100
2021-12-19 12:30 kgv Assigned To kgv => bugmaster
2021-12-19 12:30 kgv Status new => resolved
2021-12-19 12:30 kgv Note Added: 0106101
2021-12-19 12:30 kgv Status resolved => reviewed
2021-12-25 12:49 smoskvin Status reviewed => tested
2021-12-25 12:49 smoskvin Note Added: 0106188
2021-12-25 17:13 kgv Changeset attached => occt master 1bc34deb
2021-12-25 17:13 kgv Assigned To bugmaster => kgv
2021-12-25 17:13 kgv Status tested => verified
2021-12-25 17:13 kgv Resolution open => fixed
2022-04-04 21:22 git Note Added: 0107605